.navigation {
	position: relative;
    padding-bottom: 95px;

	.logo {
		position: absolute;
		top: 30px;
    	left: 8%;
    	z-index: 999;
	}

	&__checkbox {
		display: none;
	}

	&__button {
		height: 70px;
		width: 70px;
		border-radius: 50%;
		position: fixed;
		top: 4px;
		right: 14px;
		background-color: #ffffff;
		z-index: 2000;
		text-align: center;
		cursor: pointer;
	}

	&__icon {
		position: relative;
		margin-top: 35px;

		&,
		&::before,
		&::after {
			height: 2px;
			width: 15px;
			background-color: #333333;
			display: inline-block;
		}

		&::before,
		&::after {
			content: "";
			position: absolute;
			left: 0;
			transition: all .2s;
		}

		&::before {
			top: -5px;
		}

		&::after {
			top: 5px;
		}
	}

	&__background {
		height: 60px;
		width: 60px;
		border-radius: 50%;
		position: fixed;
		top: 10px;
		right: 17px;
		background-image: radial-gradient(#7e8ff1, #77b7f8);
		z-index: 1000;

		transition: transform .8s cubic-bezier(0.68,0,0.07,1);
	}

	&__nav {
		height: 70vh;
		position: fixed;
		top: 0;
		right: 0;
		z-index: 1500;
		opacity: 0;
		width: 0;
		transition: all .8s cubic-bezier(0.68,-0.55,0.265,1.55);
	}

	&__list {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%,-50%);
		text-align: center;
		width: 100%;
	}

	&__item {
		margin: 15px;

		.dropdown-menu {
			
			li {
				display: inline-block;
			    position: relative;
    			left: 4%;

				&:after {
					content: "";
				    width: 6px;
				    height: 6px;
				    background: #ffffff;
				    position: absolute;
				    top: 11px;
				    border-radius: 30px;
				}

				&:first-child:after {
					display: none;
				}

				a {
					padding: 0 15px;
					color: #ffffff;
					font-size: 18px;
				}
			}
		}
	}

	&__link {

		&:link,
		&:visited {
			font-size: 22px;
			font-weight: 300;
			padding: 10px 20px;
			color: #fff;
			text-transform: uppercase;
			background-image: linear-gradient(120deg , transparent 0%, transparent 50%, #fff 50%);
			background-size: 225%;
			transition: all .4s;
			display: inline-block;
		}

		&:hover,
		&:active {
			background-position: 100%;
			color: #423965;
		}
	}

	&__checkbox:checked ~ &__background {
		transform: scale(80);
	}

	&__checkbox:checked ~ &__nav {
		opacity: 1;
		width: 100%;
	}

	&__checkbox:checked + &__button &__icon {
		background-color: transparent;
	}

	&__checkbox:checked + &__button &__icon::before {
		top: 0;
		transform: rotate(135deg);
	}

	&__checkbox:checked + &__button &__icon::after {
		transform: rotate(-135deg);
		top: 0;
	}

	.navigation__list .dropdown-menu {
	    position: static!important;
	    float: none;
	    transform: none!important;
	    background: transparent;
		border: 0px solid #fff;
	}

	.dropdown-menu {
		position: absolute;
	    top: 100%;
	    left: 0;
	    z-index: 1000;
	    display: none;
	    float: left;
	    min-width: 10rem;
	    padding: .5rem 0;
	    margin: .125rem 0 0;
	    font-size: 1rem;
	    color: #212529;
	    text-align: left;
	    list-style: none;
	    background-color: #fff;
	    background-clip: padding-box;
	    border: 1px solid rgba(0,0,0,.15);
	    border-radius: .25rem;
	}

	.dropdown-menu.show {
	    display: block;
	}

	.navigation__item:hover .dropdown-menu {
		display: block;
	}
}